Subject: bug#77015: 31.0.50; Too many menu bar lines corrupt -nw display

From: Gerd Möllmann <[email-masked]>
Date: Fri, 14 Mar 2025 20:39:55 +0100

Eli Zaretskii <[email-masked]> writes:

>> Cc: [email-masked]
>> From: Gerd Möllmann <[email-masked]>
>> Date: Fri, 14 Mar 2025 19:04:57 +0100
>> 
>> Looking at display_menu_bar in xdisp.c I see that only ever one line of
>> menu-bar is displayed, the rest of the lines are cleared. Which begs the
>> question what this is good for, IMO. Maybe one should just restrict the
>> valid values of menu-bar-lines to 0 and 1.
>
> If the frame is very narrow, we sometimes need more than one menu-bar
> line.  And that is not limited to TTY menu bars (so you will not find
> that in xdisp.c).

So, could we say that frames on ttys actually use a maximum of 1 line?